Bug 239429 - (CVE-2007-2446) CVE-2007-2446 samba heap overflows
CVE-2007-2446 samba heap overflows
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20070514,reported=20070507,imp...
: Security
Depends On: 239430 239431 239432 239433
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 08:40 EDT by Mark J. Cox (Product Security)
Modified: 2010-02-15 00:39 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0354
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-14 11:21:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Mark J. Cox (Product Security) 2007-05-11 05:07:42 EDT
According to Samba:

"Various bugs in Samba's NDR parsing can allow a user
to send specially crafted MS-RPC requests that will
overwrite the heap space with user defined data."

These will affect Samba as shipped in Red Hat Enterprise Linux 2.1, 3, 4, 5.

Acknowledgements:

Red Hat would like to thank the Samba developers, TippingPoint, and iDefense for reporting these issues.
Comment 2 Mark J. Cox (Product Security) 2007-05-14 10:05:08 EDT
removing embargo, now public
Comment 3 Red Hat Bugzilla 2007-05-14 11:21:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0354.html

Note You need to log in before you can comment on or make changes to this bug.